## Affinity for pod assignment
## ref: https://kubernetes.io/docs/concepts/configuration/assign-pod-node/#affinity-and-anti-affinity
affinity: {}

annotations: {}

# The update strategy to apply to the DaemonSet
##
deploymentStrategy: {}
#  rollingUpdate:
#    maxUnavailable: 1
#  type: RollingUpdate

initContainer:
  enabled: false
  fsInotifyMaxUserInstances: 128

image:
  repository: registry.gitlab.com/starcraft.yu/webiao_yu/image
  tag: latest
  pullPolicy: IfNotPresent
  ## Optionally specify an array of imagePullSecrets.
  ## Secrets must be manually created in the namespace.
  ## ref: https://kubernetes.io/docs/tasks/configure-pod-container/pull-image-private-registry/
  ##
  #pullSecrets:
  #   - myRegistryKeySecretName
replicas: 1
livenessProbe: 
  httpGet:
    path: /healthz
    port: http-metrics


nameOverride: service-a

## Node labels for pod assignment
## ref: https://kubernetes.io/docs/concepts/configuration/assign-pod-node/
nodeSelector: {}


## Pod Labels
podLabels: {}

podAnnotations: {}

## Assign a PriorityClassName to pods if set
# priorityClassName:

rbac:
  create: false
  pspEnabled: false

podSecurityPolicy:
  privileged: false
  allowPrivilegeEscalation: false
  volumes:
    - 'secret'
    - 'configMap'
    - 'hostPath'
    - 'projected'
    - 'downwardAPI'
    - 'emptyDir'
  hostNetwork: false
  hostIPC: false
  hostPID: false
  runAsUser:
    rule: 'RunAsAny'
  seLinux:
    rule: 'RunAsAny'
  supplementalGroups:
    rule: 'RunAsAny'
  fsGroup:
    rule: 'RunAsAny'
  readOnlyRootFilesystem: true
  requiredDropCapabilities:
    - ALL

readinessProbe:
  failureThreshold: 5
  httpGet:
    path: /healthz
    port: http-metrics
  initialDelaySeconds: 10
  periodSeconds: 10
  successThreshold: 1
  timeoutSeconds: 1

resources: {}
#  limits:
#    cpu: 200m
#    memory: 128Mi
#  requests:
#    cpu: 100m
#    memory: 128Mi


# Custom scrape_configs together with the default ones in the configmap
extraScrapeConfigs: []

securityContext:
  readOnlyRootFilesystem: true
  runAsGroup: 0
  runAsUser: 0

serviceAccount:
  create: true
  name: service-sa

## Tolerations for pod assignment
## ref: https://kubernetes.io/docs/concepts/configuration/taint-and-toleration/
tolerations:
- key: node-role.kubernetes.io/master
  operator: Exists
  effect: NoSchedule
- key: "dedicated"
  operator: "Equal"
  value: "nodegroup"
  effect: "NoSchedule"
# Extra volumes to scrape logs from
volumes: []

# Custom volumes together with the default ones
extraVolumes: []

volumeMounts: []


# Custom volumeMounts together with the default ones
extraVolumeMounts: []

# Add extra Commandline args while starting up promtail.
# more info : https://github.com/grafana/loki/pull/1530

extraCommandlineArgs: 
  #- -log.level=debug

config:
  feature_one: true
  feature_two: false
  port: 8888
  

# Extra env variables to pass to the promtail container
env: 
- name: env
  value: test

